@keyframes scrollIn {
  from {
    max-width: 0;
  }
  to {
    max-width: 1141px;
  }
}

@keyframes scrollOut {
  from {
    max-width: 1141px;
  }
  to {
    max-width: 0;
  }
}

@keyframes spinnyBoi {
  from {
    left: -1141px;
    transform: rotate(0deg);
  }
  to {
    left: -25px;
    transform: rotate(360deg);
  }
}

@keyframes unspinnyBoi {
  from {
    left: -25px;
    transform: rotate(360deg);
  }
  to {
    left: -1141px;
    transform: rotate(0deg);
  }
}

.si-intro {
  /* Define how the slideIn keyframes are applied */
  animation-duration: 1s;
  animation-name: scrollIn;
  animation-fill-mode: both;
  animation-timing-function: ease-in-out;
}

.si-outro {
  /* Define how the slideOut keyframes are applied */
  animation-duration: 1s;
  animation-name: scrollOut;
  animation-fill-mode: both;
  animation-timing-function: ease-in-out;
}

.logo-intro {
  /* Define how the slideIn keyframes are applied */
  animation-duration: 0.95s;
  animation-name: spinnyBoi;
  animation-fill-mode: forwards;
  animation-timing-function: ease-in-out;
}

.logo-outro {
  /* Define how the slideOut keyframes are applied */
  animation-duration: 0.95s;
  animation-name: unspinnyBoi;
  animation-fill-mode: forwards;
  animation-timing-function: ease-in-out;
}
